
require( "scripts/style" );

WelcomeFont = {
  "fonts/expressway_condensed_semibold.mvec",
  34,
  WhiteColor
};

MakeDialog
{
	-- Name the modal dialog
	name="match3menu",
	
	Bitmap
	{
		name="backgroundimage",
		image="images/main/mainbg",
		x=0, y=0,
		
		Match3Menu
		{
			x=0,
			y=0,
			w=1024,
			h=768,
			
			Text
			{
				font = WelcomeFont,
				name = "header",
				x=420,y=20,w=200,h=55,
				flags = kHAlignCenter + kVAlignCenter,
				label = "main_btn_match3levels"
			};
			
			SetStyle( ButtonStyle ),
			Button
			{
				name="mainmenu",
				label="mainmenu",
				x=620,y=26,
				command=
					function()
						CloseWindow();
					end
			};
			
			--
			-- Cheats for viewing cutscenes
			--
			--[[ Cutscene module taken out, to be merged into diary
			Button
			{
				x=140,
				y=kMax-50,
				name="cutscene1",
				type = kPush,
				flags = kHAlignCenter + kVAlignCenter,
				label="#Cutscene 1",
				command =
					function()
						SetState('PlayCutsceneNumber', '1');
						SwapToModal('scripts/cutscene.lua');
					end
			};
			Button
			{
				x=260,
				y=kMax-50,
				name="cutscene2",
				type = kPush,
				flags = kHAlignCenter + kVAlignCenter,
				label="#Cutscene 2",
				command =
					function()
						SetState('PlayCutsceneNumber', '2');
						SwapToModal('scripts/cutscene.lua');
					end
			};
			Button
			{
				x=380,
				y=kMax-50,
				name="cutscene3",
				type = kPush,
				flags = kHAlignCenter + kVAlignCenter,
				label="#Cutscene 3",
				command =
					function()
						SetState('PlayCutsceneNumber', '3');
						SwapToModal('scripts/cutscene.lua');
					end
			};
			Button
			{
				x=500,
				y=kMax-50,
				name="cutscene4",
				type = kPush,
				flags = kHAlignCenter + kVAlignCenter,
				label="#Cutscene 4",
				command =
					function()
						SetState('PlayCutsceneNumber', '4');
						SwapToModal('scripts/cutscene.lua');
					end
			};
			Button
			{
				x=620,
				y=kMax-50,
				name="cutscene5",
				type = kPush,
				flags = kHAlignCenter + kVAlignCenter,
				label="#Cutscene 5",
				command =
					function()
						SetState('PlayCutsceneNumber', '5');
						SwapToModal('scripts/cutscene.lua');
					end
			};
			Button
			{
				x=740,
				y=kMax-50,
				name="cutscene6",
				type = kPush,
				flags = kHAlignCenter + kVAlignCenter,
				label="#Final Cutscene",
				command =
					function()
						SetState('PlayCutsceneNumber', '6');
						SwapToModal('scripts/cutscene.lua');
					end
			};
			--]]
			--
			-- END for viewing cutscenes
			--
		}
	}
}